Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseReportFont

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseFont
          net.sf.jasperreports.engine.base.JRBaseReportFont

All Implemented Interfaces:
  java.io.Serializable, JRChangeEventsSupport, JRFont, JRReportFont, JRStyleContainer

    public class JRBaseReportFont

extends JRBaseFont
implements JRReportFont

Version:
  $Id: JRBaseReportFont.java 3941 2010-08-20 10:55:10Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected boolean` | `isDefault`
`protected java.lang.String` | `name`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseFont
`defaultFontProvider, fontName, fontSize, isBold, isItalic, isPdfEmbedded, isStrikeThrough, isUnderline, pdfEncoding, pdfFontName, PROPERTY_BOLD, PROPERTY_FONT_NAME, PROPERTY_FONT_SIZE, PROPERTY_ITALIC, PROPERTY_PDF_EMBEDDED, PROPERTY_PDF_ENCODING, PROPERTY_PDF_FONT_NAME, PROPERTY_REPORT_FONT, PROPERTY_STRIKE_THROUGH, PROPERTY_UNDERLINE, reportFont, styleContainer`

Fields inherited from interface net.sf.jasperreports.engine.JRFont
`DEFAULT_FONT_NAME, DEFAULT_FONT_SIZE, DEFAULT_PDF_EMBEDDED, DEFAULT_PDF_ENCODING, DEFAULT_PDF_FONT_NAME`

Constructor Summary
`JRBaseReportFont(JRReportFont reportFont)` Deprecated. To be removed in future versions.

Method Summary
`java.lang.String` | `getName()` Gets the font unique name.
`boolean` | `isDefault()` Gets a flag that specifies if this is the default report font.

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseFont
`getDefaultFontProvider, getDefaultStyleProvider, getEventSupport, getFontName, getFontSize, getOwnFontName, getOwnFontSize, getOwnPdfEncoding, getOwnPdfFontName, getOwnSize, getPdfEncoding, getPdfFontName, getReportFont, getSize, getStyle, getStyleNameReference, isBold, isItalic, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isUnderline, setBold, setBold, setFontName, setFontSize, setFontSize, setItalic, setItalic, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setReportFont, setSize, setSize, setStrikeThrough, setStrikeThrough, setUnderline, setUnderline`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRFont
`getFontName, getFontSize, getOwnFontName, getOwnFontSize, getOwnPdfEncoding, getOwnPdfFontName, getOwnSize, getPdfEncoding, getPdfFontName, getReportFont, getSize, isBold, isItalic, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isUnderline, setBold, setBold, setFontName, setFontSize, setFontSize, setItalic, setItalic, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setReportFont, setSize, setSize, setStrikeThrough, setStrikeThrough, setUnderline, setUnderline`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Field Detail

### name

    protected java.lang.String name

### isDefault

    protected boolean isDefault

Constructor Detail

### JRBaseReportFont

    public JRBaseReportFont(JRReportFont reportFont)

  Deprecated. To be removed in future versions.

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `JRReportFont`
  Gets the font unique name.

  Specified by:
    `getName` in interface `JRReportFont`

### isDefault

    public boolean isDefault()

  Description copied from interface: `JRReportFont`
  Gets a flag that specifies if this is the default report font.

  Specified by:
    `isDefault` in interface `JRReportFont`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com